sc::PsiFile11 Class Reference

PsiFile11 is a Psi gradient file. More...

`#include <psifile11.h>`

Inheritance diagram for sc::PsiFile11:
[legend]
Collaboration diagram for sc::PsiFile11:
[legend]

## Public Member Functions

| PsiFile11 (const string &name)
void | open ()
void | close ()
void | remove ()
int | get_natom (int entry)
double | get_energy (int entry)
double | get_coord (int entry, int atom, int xyz)
double | get_grad (int entry, int atom, int xyz)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

PsiFile11 is a Psi gradient file.

The documentation for this class was generated from the following file:

- psifile11.h